<template lang="pug">
  div.jvl-landing
    div.ui.stackable.container.centered
      img.ui.small.image(:src="imgs.projects.javelin.white")
      h1 Javelin
      p.subtitle The RTMP streaming server written in Rust with the power of a torpedo.
    div.ui.stackable.container.centered
      h2 About
      p.subtitle In a short summary.
    div.ui.segment.inverted.container.stacked
      div.ui.segment.inverted
        p
        | Javelin, named after the destroyer #[a.fake.link(v-on:click="toggleImage()") #[span.highlight.underlined HMS Javelin]],
        | is a simple but powerful RTMP streaming server written in #[span.highlight Rust].
        | Its origin was the necessity for a private streaming server when no OSS solutions were available.
        | Our staff wanted to watch anime together and we had nowhere to stream it to.
        div.ui.segment.centered.inverted(v-if="showShip")
          img.ui.centered.image(src="https://i.imgur.com/RshwtZP.png")
    div.ui.stackable.container.centered
      h2 Capabilities
      p.subtitle What can you do with it?
    div.ui.segment.inverted.container.stacked
      div.ui.segment.inverted
        p If you have something to stream an FLV source to an RTMP endpoint, like OBS, you can stream whatever you want.
        div.ui.two.column.stackable.grid.centered
          div.four.wide.column
            div.ui.segment.inverted
              h3 #[i.cloud.upload.icon] Inputs
              ul.ui.list
                li.item #[i.file.video.icon] RTMP
          div.four.wide.column
            div.ui.segment.inverted
              h3 #[i.cloud.download.icon] Outputs
              ul.ui.list
                li.item #[i.file.video.icon] #[span RTMP]
                li.item #[i.rss.square.icon] #[span.highlight HLS (H.264 + AAC)]
          div.four.wide.column
            div.ui.segment.inverted
              h3 #[i.server.icon] Platforms
              ul.ui.list
                li.item #[i.linux.icon] #[span.highlight Linux]
                li.item #[i.docker.icon] Docker
                li.item #[i.windows.icon] Windows*
        p
        | #[span.highlight highlighted] items are recommended options and primary targets supported by Javelin.
        p
        | #[strong *] - Javelin compiles and runs just fine on Windows, but Windows is #[span.highlight not] an officially supported platform.
        | Support for windows was made possible by kind community developers that contributed to the project. #[span.highlight Thank you].
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'

import Images from '@/data/images'
import 'semantic-ui-css/components/image.min.css'
import 'semantic-ui-css/components/container.min.css'

@Component
export default class JavelinLanding extends Vue {
  imgs = Images
  showShip = false
  toggleImage () {
    this.showShip = !this.showShip
  }
}
</script>

<style lang="stylus" scoped>
accent = #95375b

img.ui.image
  display: unset
  margin: 0 auto

.highlight
  color: accent
  &.underlined
    text-decoration: underline;

.fake.link
  cursor pointer

.ui.three.column.stackable.grid > .five.wide.column
  width: 30.9% !important
</style>
